#ifndef PAGETARGET_HPP
#define PAGETARGET_HPP

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// pagetarget.hpp : header file
//

/////////////////////////////////////////////////////////////////////////////
// PageTarget dialog

#include "pagebase.hpp"
#include "incITF.h"

class Camera;
class CPA_SuperObject;

class PageTarget : public PageBase
{

// Construction
public:
	PageTarget(Camera* p_oCamera);
	~PageTarget();


	BOOL IsPageValid();
	void MakeChangesAvailable();
	void DoUpdate();

private:
	BOOL CheckComboSO();
	BOOL CheckTargetType();


// Dialog Data
	//{{AFX_DATA(PageTarget)
	enum { IDD = IDD_PROPPAGE_TARGET };
	CComboBox	m_oComboSO;
	CString	m_csPointX;
	CString	m_csPointY;
	CString	m_csPointZ;
	CString	m_csSuperObjectX;
	CString	m_csSuperObjectY;
	CString	m_csSuperObjectZ;
	int		m_iTargetType;
	int		m_iPointCoords;
	CString	m_csComboEdit;
	//}}AFX_DATA

private:
	Camera	*m_p_oCamera;
	long	m_lIDofCurrentEdit;

	CPA_CameraCoords	m_oTargetPoint;
	CPA_SuperObject		*m_p_oTargetSuperObject;
	tdeTargetType		m_eTargetType;



// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(PageTarget)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(PageTarget)
	afx_msg void OnBtCopytopoint();
	afx_msg void OnBtReturn();
	afx_msg void OnKillfocusEditPointx();
	afx_msg void OnSetfocusEditPointx();
	afx_msg void OnKillfocusEditPointy();
	afx_msg void OnSetfocusEditPointy();
	afx_msg void OnKillfocusEditPointz();
	afx_msg void OnSetfocusEditPointz();
	virtual BOOL OnInitDialog();
	afx_msg void OnRbPointCoords();
	afx_msg void OnSelChangeComboSO();
	afx_msg void OnEditChangeComboSO();
	afx_msg void OnSetfocusComboso();
	afx_msg void OnKillfocusComboso();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGETARGET_HPP__CC24C3C8_DC14_11D0_BE57_00609775AC86__INCLUDED_)
